Scaling issue on TOC layer style legend

2018-08-08 08:33 AM - Jakob Lanstorp

Status: Open

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 0 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27390

Description

Building a composite polygon vector style, could result in the style legend of TOC to be rendered as a white box due to scaling of the style

to TOC legend size. See style here: [[

https://gis.stackexchange.com/questions/291872/creating-a-brick-wall-style-for-polygons/291898#291898]]

Using a point pattern fill half_square with dimensions larger than 4 mm, the style does not shrink to fit in legend.

Attached is a polygon brick wall sample QML style file and a QGIS png screen dump showing style and TOC legend.

History

#1 - 2018-08-08 10:24 AM - Giovanni Manghi

- Status changed from Open to Feedback

I'm almost sure that this is duplicate of an already existing ticket.

#2 - 2018-08-08 01:05 PM - Jakob Lanstorp

I browsed the 143 issues recorded under the category Symbology without finding a possibly duplicate issue - might have missed one through.....

#3 - 2018-08-23 07:06 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Category changed from Symbology to Map Legend

Files

brickwall.qml 10.7 KB 2018-08-08 Jakob Lanstorp

Udklip.PNG 70.9 KB 2018-08-08 Jakob Lanstorp
